Bug 472550 - X server crashes when Cerius2 exits
X server crashes when Cerius2 exits
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
9
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 12:43 EST by Andrew Gormanly
Modified: 2009-07-14 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:50:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace of the crash (5.33 KB, text/plain)
2008-11-21 12:43 EST, Andrew Gormanly
no flags Details
X config file of machine 2 (616 bytes, text/plain)
2008-11-24 04:50 EST, Andrew Gormanly
no flags Details
X log of machine 2 (35.53 KB, text/plain)
2008-11-24 04:50 EST, Andrew Gormanly
no flags Details
X log of machine 2 with no X config file (38.46 KB, text/plain)
2008-11-24 09:24 EST, Andrew Gormanly
no flags Details
X log of machine 3 (66.55 KB, text/plain)
2008-11-24 10:01 EST, Andrew Gormanly
no flags Details
X log of machine 1 (23.05 KB, text/plain)
2008-11-25 09:07 EST, Andrew Gormanly
no flags Details
X config file of machine 1 (819 bytes, text/plain)
2008-11-25 09:08 EST, Andrew Gormanly
no flags Details

  None (edit)
Description Andrew Gormanly 2008-11-21 12:43:23 EST
Created attachment 324327 [details]
gdb backtrace of the crash

Description of problem:
The Fedora 9 X server is crashed when exiting a remote app, Cerius2, which is not well behaved but should not take down the server.

Version-Release number of selected component (if applicable):
1.5.2-3.fc9

How reproducible:
Every time

Steps to Reproduce:
1. Exit Cerius2
2.
3.
  
Actual results:
X crashes out and machine returns to gdm prompt.

Expected results:
The server stays up.

Additional info:
Our user does ssh -Y server then runs cerius2 (revision 02.0608 from 
http://accelrys.com/products/cerius2/) which churns out loads of messages:

"
X windows Protocol error: BadAccess (attempt to access private resource denied)
     Major opcode of failed request:  89
     Minor opcode of failed request: 0
     Resource id in failed request: 0x0
     Serial number of failed request: 970

Application will attempt to recover and continue.
"

while it's running (970 of them is for starting it then exiting straight away).

It runs fine and doesn't crash X on exit in RHEL5 or RHEL4 (fully patched to date x86_64 versions).

It's seems not to be a driver bug as it happens on a SiS 741 AGP chip (sis driver) and an Intel 915 chip - these are the only 2 Fedora 9 machines I can test.

gdb trace attached.

I'll bring in my personal laptop running rawhide on Monday and post the results if it will help.
Comment 1 Matěj Cepl 2008-11-21 12:52:17 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Andrew Gormanly 2008-11-24 04:50:26 EST
Created attachment 324460 [details]
X config file of machine 2

machine 2 is the second Fedora 9 install we've seen this issue on.  files from machine 1 will follow.
Comment 3 Andrew Gormanly 2008-11-24 04:50:51 EST
Created attachment 324461 [details]
X log of machine 2
Comment 4 Andrew Gormanly 2008-11-24 09:23:40 EST
I can confirm that we see the same behaviour with no xorg.conf on machine 2
Comment 5 Andrew Gormanly 2008-11-24 09:24:44 EST
Created attachment 324477 [details]
X log of machine 2 with no X config file
Comment 6 Andrew Gormanly 2008-11-24 09:35:54 EST
I can confirm that the bug exists in Rawhide with
xorg-x11-server-Xorg-1.5.3-5.fc10 on Intel GMA900 hardware (machine 3) and will
attach a log
Comment 7 Andrew Gormanly 2008-11-24 10:01:59 EST
Created attachment 324486 [details]
X log of machine 3

This is from an Asus Eee PC 4G running Rawhide (as Fedora 10 final), and crashed in a different way to the crashes on the log files posted above, with coloured lines on the screen and a hard lock up necessitating use of the power switch.  This behaviour has apparently been observed a couple of times on the Fedora 9 machine 1 also, but not on machine 2, and the usual case is the reported return to the gdm prompt.
Comment 8 Andrew Gormanly 2008-11-25 09:07:25 EST
Created attachment 324615 [details]
X log of machine 1

An X log from a crash on the first machine to exhibit the problem.  Chipset here is Intel GMA 900.
Comment 9 Andrew Gormanly 2008-11-25 09:08:20 EST
Created attachment 324616 [details]
X config file of machine 1
Comment 10 Bug Zapper 2009-06-09 23:19:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 12:50:28 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.